summarylogtreecommitdiffstats
path: root/adagate.sh
diff options
context:
space:
mode:
authorzxp198210052024-04-07 07:15:40 +0800
committerzxp198210052024-04-07 07:15:40 +0800
commitdb4f3dbc623d07f8b1995a003da43504caa5c899 (patch)
treecb6ca96a1a4315304852332ac1922d07a19e85b8 /adagate.sh
downloadaur-adagate-bin.tar.gz
update to 7.4.6
Diffstat (limited to 'adagate.sh')
-rw-r--r--adagate.sh8
1 files changed, 8 insertions, 0 deletions
diff --git a/adagate.sh b/adagate.sh
new file mode 100644
index 000000000000..43d1b09c3747
--- /dev/null
+++ b/adagate.sh
@@ -0,0 +1,8 @@
+#!/bin/bash
+set -e
+_APPDIR="/opt/@appname@"
+_RUNNAME="${_APPDIR}/@runname@"
+export PATH="${_APPDIR}:${PATH}"
+export LD_LIBRARY_PATH="${_APPDIR}/libs/gnu:${LD_LIBRARY_PATH}"
+cd "${_APPDIR}"
+exec "${_RUNNAME}" "$@" || exit $? \ No newline at end of file